import type { _NSCopying } from "../Foundation/NSCopying.js";
import type { _NSNumber } from "../Foundation/NSNumber.js";
import type { _NSObject } from "../Foundation/NSObject.js";
import type { _MTRJointFabricDatastoreClusterDatastoreAccessControlEntryStruct } from "./MTRJointFabricDatastoreClusterDatastoreAccessControlEntryStruct.js";
import type { _MTRJointFabricDatastoreClusterDatastoreStatusEntryStruct } from "./MTRJointFabricDatastoreClusterDatastoreStatusEntryStruct.js";
export declare class _MTRJointFabricDatastoreClusterDatastoreACLEntryStruct extends _NSObject {
    static alloc(): _MTRJointFabricDatastoreClusterDatastoreACLEntryStruct;
    static new(): _MTRJointFabricDatastoreClusterDatastoreACLEntryStruct;
    init(): _MTRJointFabricDatastoreClusterDatastoreACLEntryStruct;
    nodeID(): _NSNumber;
    setNodeID$(value: _NSNumber): void;
    listID(): _NSNumber;
    setListID$(value: _NSNumber): void;
    aclEntry(): _MTRJointFabricDatastoreClusterDatastoreAccessControlEntryStruct;
    setAclEntry$(value: _MTRJointFabricDatastoreClusterDatastoreAccessControlEntryStruct): void;
    statusEntry(): _MTRJointFabricDatastoreClusterDatastoreStatusEntryStruct;
    setStatusEntry$(value: _MTRJointFabricDatastoreClusterDatastoreStatusEntryStruct): void;
}
export interface _MTRJointFabricDatastoreClusterDatastoreACLEntryStruct extends _NSCopying {
}
